# Meta

System metadata and information

## GET /api/v1/meta-info

> Returns the backend's meta information.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"hq_meta","description":"System metadata and information"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"hq_RuntimeInfo":{"type":"object","description":"Contains backend run-time info: statistics along with build information.","properties":{"version":{"type":"string","description":"Is set to the HQ build version."},"build_id":{"type":"string","description":"Is set to the HQ build id."},"backend_build_id":{"type":"string","description":"Is set to the HQ backend build id."},"ui_build_id":{"type":"string","description":"Is set to the HQ UI build id."},"goos":{"type":"string","description":"Equals runtime.GOOS."},"goarch":{"type":"string","description":"Equals runtime.GOARCH."},"started_at":{"type":"string","format":"date-time","description":"Is set to the instant the backend started."},"memstats_alloc":{"type":"integer","format":"int64","description":"Equals runtime.Memstats.Alloc."},"memstats_sys":{"type":"integer","format":"int64","description":"Equals runtime.Memstats.Sys."},"gc_cpu_fraction":{"type":"number","description":"Equals runtime.Memstats.GCCPUFraction."},"num_goroutine":{"type":"integer","format":"int32","description":"Equals runtime.NumGoroutine()."}},"required":["version","build_id","backend_build_id","ui_build_id","goos","goarch","started_at","memstats_alloc","memstats_sys","gc_cpu_fraction","num_goroutine"]},"hq_Error":{"type":"object","description":"Implements the RFC7807 \"Problem Details\", see https://www.rfc-editor.org/rfc/rfc7807.","properties":{"type":{"$ref":"#/components/schemas/hq_ErrorType"},"title":{"description":"Describes the problem in a human readable fashion.","type":"string"},"status":{"description":"Is a copy of the http status code.","type":"integer"},"invalid_fields":{"description":"Lists for validation errors the fields that failed validation.","type":"array","items":{"$ref":"#/components/schemas/hq_InvalidField"}},"sso_url":{"description":"Contains in case of an \"unauthorised\" type of error, the url of the SSO provider, if any.","type":"string"},"request_id":{"description":"Is set to the id of this request. Can be used to correlate backend logs.","type":"string"}},"required":["status","title"]},"hq_ErrorType":{"type":"string","description":"Enumerates possible error types.","enum":["not_found","unauthorised","forbidden","internal_server_error","agent_rpc_error","missing_agent_capabilities","agent_not_connected","validation_error","invalid_metadata","missing_parameter","invalid_parameter","licence_limitation","ai_server_unavailable","conflict","unspecified"]},"hq_InvalidField":{"type":"object","properties":{"name":{"type":"string"},"error":{"$ref":"#/components/schemas/hq_FieldErrorType"},"title":{"type":"string"},"pointer":{"description":"Holds a RFC-6901 JSON Pointer.","type":"string"}},"required":["name","error","title"]},"hq_FieldErrorType":{"type":"string","description":"Enumerates field validation error types.","enum":["reference_not_found","not_unique","invalid_value","other_error"]}}},"paths":{"/api/v1/meta-info":{"get":{"description":"Returns the backend's meta information.","operationId":"getRuntimeInfo","responses":{"200":{"description":"Happy response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/hq_RuntimeInfo"}}}},"default":{"description":"Error object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/hq_Error"}}}}},"tags":["hq_meta"]}}}}
```
